Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class MenuSelectionProcessor

    java.lang.Object
      com.jgoodies.looks.common.MenuSelectionProcessor

All Implemented Interfaces:
  KeyEventPostProcessor

    public final class MenuSelectionProcessor

extends Object
implements KeyEventPostProcessor

Handles the Alt key to select the first menu in the menu bar - if any. Useful to let non-Windows L&fs like Plastic feel more like Windows.

See Also:
  `WindowsRootPaneUI`

Constructor Summary
`MenuSelectionProcessor()`

Method Summary
`boolean` | `postProcessKeyEvent(KeyEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuSelectionProcessor

    public MenuSelectionProcessor()

Method Detail

### postProcessKeyEvent

    public boolean postProcessKeyEvent(KeyEvent ev)

  Specified by:
    `postProcessKeyEvent` in interface `KeyEventPostProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.